# bridge_gui.cpp File Reference

Graphical user interface for bridge construction. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "gui.h"`
`#include "window_gui.h"`
`#include "command_func.h"`
`#include "economy_func.h"`
`#include "variables.h"`
`#include "bridge.h"`
`#include "strings_func.h"`
`#include "window_func.h"`
`#include "sound_func.h"`
`#include "map_func.h"`
`#include "viewport_func.h"`
`#include "gfx_func.h"`
`#include "tunnelbridge.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Data Structures

struct | BridgeData

## Enumerations

enum | BuildBridgeSelectionWidgets { BBSW_CLOSEBOX = 0, BBSW_CAPTION, BBSW_BRIDGE_LIST, BBSW_SCROLLBAR, BBSW_RESIZEBOX }

## Functions

void | CcBuildBridge (bool success, TileIndex tile, uint32 p1, uint32 p2)
static void | BuildBridge (Window *w, int i)
static void | BuildBridgeWndProc (Window *w, WindowEvent *e)
void | ShowBuildBridgeWindow (TileIndex start, TileIndex end, TransportType transport_type, byte bridge_type)

## Variables

static struct BridgeData | _bridgedata
static const Widget | _build_bridge_widgets []
static const WindowDesc | _build_bridge_desc

## Detailed Description

Graphical user interface for bridge construction.

Definition in file bridge_gui.cpp.

## Variable Documentation

const WindowDesc _build_bridge_desc`[static]`

Initial value:

     {
      WDP_AUTO, WDP_AUTO, 200, 102, 200, 102,
      WC_BUILD_BRIDGE, WC_BUILD_TOOLBAR,
      WDF_STD_TOOLTIPS | WDF_STD_BTN | WDF_DEF_WIDGET | WDF_RESIZABLE,
      _build_bridge_widgets,
      BuildBridgeWndProc
    }

Definition at line 138 of file bridge_gui.cpp.

const Widget _build_bridge_widgets[]`[static]`

Initial value:

     {
    {   WWT_CLOSEBOX,   RESIZE_NONE,  7,   0,  10,   0,  13, STR_00C5,                    STR_018B_CLOSE_WINDOW},
    {    WWT_CAPTION,   RESIZE_NONE,  7,  11, 199,   0,  13, STR_100D_SELECT_RAIL_BRIDGE, STR_018C_WINDOW_TITLE_DRAG_THIS},
    {     WWT_MATRIX, RESIZE_BOTTOM,  7,   0, 187,  14, 101, 0x401,                       STR_101F_BRIDGE_SELECTION_CLICK},
    {  WWT_SCROLLBAR, RESIZE_BOTTOM,  7, 188, 199,  14,  89, 0x0,                         STR_0190_SCROLL_BAR_SCROLLS_LIST},
    {  WWT_RESIZEBOX,     RESIZE_TB,  7, 188, 199,  90, 101, 0x0,                         STR_RESIZE_BUTTON},
    {   WIDGETS_END},
    }

Definition at line 128 of file bridge_gui.cpp.